To produce a Rotation in the Main Menu select Operations - > Transformation - > Rotation
This operation rotates the initial shape.
The first Rotation algorithm needs you to define an Object to be rotated, an Axis of rotation and an Angle of rotation.
Reverse checkbox allows to specify the direction of rotation.
Create a copy checkbox allows to keep the initial object, otherwise it will be removed.
Advanced options.
TUI Command: geompy.MakeRotation(Shape, Axis, Angle)
Arguments: Name + one or several objects + 1 vector for direction of rotation + 1 angle.
The second algorithm allows to define the rotated Object by three points. Rotation axis will pass through the Central Point and will be will be orthogonal to a plane defned by three points. In this case rotation Angle is the angle between two vectors directed from the Central Point to Point1 and Point2.
Reverse checkbox allows to specify the direction of rotation.
Create a copy checkbox allows to keep the initial object, otherwise it will be removed.
Advanced options.
TUI Command: geompy.MakeRotationThreePoints(Shape, CentralPoint, Point1, Point2)
Arguments: 1 shape + 3 points.
Example:
Our TUI Scripts provide you with useful examples of the use of Transformation Operations.